import { $postParam, $post } from "@/plugins/axios";

// other
// 试卷编号模糊查询
export const pageNumberQuery = datas => {
  return $postParam("/api/admin/exam/task/paper_number_query", datas);
};
// 命题老师模糊查询
export const questionTeatherQuery = datas => {
  return $postParam("/api/admin/exam/task/user_query", datas);
};

// 待办任务-------------->
// 命题任务待办
export const waitExamTaskListPage = datas => {
  return $postParam("/api/admin/work/exam/task/ready", datas);
};
export const waitExamTaskCount = () => {
  return $postParam("/api/admin/work/exam/task/ready_count", {});
};
// 命题分配待办
export const waitExamTaskNewListPage = datas => {
  return $postParam("/api/admin/work/exam/task/new", datas);
};
export const waitExamTaskNewCount = () => {
  return $postParam("/api/admin/work/exam/task/new_count", {});
};
// 入库审核待办
export const waitTaskReviewListPage = datas => {
  return $postParam("/api/admin/work/exam/task/submit", datas);
};
export const waitTaskReviewCount = () => {
  return $postParam("/api/admin/work/exam/task/submit_count", {});
};

// exam-task-manage
export const examTaskListPage = datas => {
  return $postParam("/api/admin/exam/task/list", datas);
};
export const updateExamTask = datas => {
  return $post("/api/admin/exam/task/save", datas);
};
export const updatExamTaskTeacher = ({ id, userId }) => {
  return $post("/api/admin/exam/task/assign_user", { id, userId });
};
export const ableExamTask = ({ id, enable }) => {
  return $post("/api/admin/exam/task/enable", { id, enable });
};
export const batchAddExamTask = datas => {
  return $post("/api/admin/exam/task/save_batch", datas);
};
export const taskApplyAuditHistory = examTaskId => {
  return $postParam("/api/admin/exam/task/review_list", { examTaskId });
};

// task-apply-manage
export const taskApplyListPage = datas => {
  return $postParam("/api/admin/exam/task/apply_list", datas);
};
export const taskApplyDetail = (examTaskId, source = "") => {
  return $postParam("/api/admin/exam/task/apply_get_one", {
    examTaskId,
    source
  });
};
export const updateTaskApply = datas => {
  return $post("/api/admin/exam/task/apply_save", datas);
};
export const cancelOrRestartTaskApply = ({ id, status }) => {
  return $post("/api/admin/exam/task/apply_status", { id, status });
};

// task-review-manage
export const taskReviewUnauditedListPage = datas => {
  return $postParam("/api/admin/exam/task/review_list_unaudited", datas);
};
export const taskReviewAuditedListPage = datas => {
  return $postParam("/api/admin/exam/task/review_list_audited", datas);
};
export const updateTaskReview = datas => {
  return $post("/api/admin/exam/task/review_save", datas);
};
export const batchUpdateTaskReview = datas => {
  return $post("/api/admin/exam/task/review_save_batch", datas);
};
export const reviewSampleDataExport = datas => {
  return $post("/api/admin/exam/task/review_export", datas);
};
// task-paper-manage
export const taskPaperListPage = datas => {
  return $postParam("/api/admin/exam/task/paper_list", datas);
};
export const ableTaskPaper = ({ id, enable }) => {
  return $post("/api/admin/exam/task/paper_enable", { id, enable });
};
export const taskPaperApplyEdit = datas => {
  return $post("/api/admin/exam/task/paper_update", datas);
};
export const downloadPaper = examTaskId => {
  return $postParam(
    "/api/admin/exam/task/paper_download",
    { examTaskId },
    { responseType: "blob" }
  );
};

// card
export const cardForSelectList = datas => {
  return $postParam("/api/admin/exam/card/select_card_list", datas);
};

// data-manage ie-task-manage
export const dataTaskList = datas => {
  return $postParam("/api/admin/data/task/query", datas);
};
export const taskResetPdf = id => {
  return $postParam("/api/admin/data/task/reset_create_pdf", { id });
};
export const removeDataTask = ({ ids, type }) => {
  // TODO:
  return $post("/api/admin/data/task/query", { ids, type });
};
